### Home Classes Methods

### In Files

- ext/libv8/paths.rb

### Methods

- #config
- #include_paths
- #libv8_object
- #libv8_profile
- #object_paths
- #vendored_source_path

### Files

- Makefile

### Class/Module Index

Quicksearch

- Libv8
- Libv8::Arch
- Libv8::Builder
- Libv8::Checkout
- Libv8::Compiler
- Libv8::Location
- Libv8::Location::MkmfContext
- Libv8::Location::System
- Libv8::Location::System::NotFoundError
- Libv8::Location::Vendor
- Libv8::Location::Vendor::ArchiveNotFound
- Libv8::Make
- Libv8::Paths

No matching classes.

# Libv8::Paths

### Public Instance Methods

config() click to toggle source

    # File ext/libv8/paths.rb, line 16
    def config
      RbConfig::MAKEFILE_CONFIG
    end

include_paths() click to toggle source

    # File ext/libv8/paths.rb, line 8
    def include_paths
      ["#{vendored_source_path}/include"]
    end

libv8_object(name) click to toggle source

    # File ext/libv8/paths.rb, line 20
    def libv8_object(name)
      filename = "#{libv8_profile}/libv8_#{name}.#{config['LIBEXT']}"
      unless File.exists? filename
        filename = "#{libv8_profile}/obj.target/tools/gyp/libv8_#{name}.#{config['LIBEXT']}"
      end
      return filename
    end

libv8_profile() click to toggle source

    # File ext/libv8/paths.rb, line 28
    def libv8_profile
      base = "#{vendored_source_path}/out/#{Libv8::Arch.libv8_arch}"
      debug = "#{base}.debug"
      File.exists?(debug) ? debug : "#{base}.release"
    end

object_paths() click to toggle source

    # File ext/libv8/paths.rb, line 12
    def object_paths
      [libv8_object(:base), libv8_object(:snapshot)]
    end

vendored_source_path() click to toggle source

    # File ext/libv8/paths.rb, line 34
    def vendored_source_path
      File.expand_path "../../../vendor/v8", __FILE__
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.